DirectX-Diagnoseprogramm

Die Dokumentation zum Microsoft® DirectX®-Diagnoseprogramm umfasst die folgenden Themen:

  • Überblick über das DirectX-Diagnoseprogramm
  • Suchstrategie
  • Testen von DirectX-Komponenten
  • Ändern des Standardverhaltens
  • Wiederherstellen von Treibern
  • Speichern von Informationen
  • Melden von Problemen


Überblick über das DirectX-Diagnoseprogramm

Mit dem DirectX®-Diagnoseprogramm erhalten Sie Informationen über die Komponenten und Treiber von Microsoft® DirectX-API (Application Programming Interface) auf Ihrem System. Weiterhin können Sie Sound- und Grafikausgabe sowie DirectPlay®-Dienstanbieter testen. Darüber hinaus können Sie einige Hardwarebeschleunigungsfeatures deaktivieren.

Mit dem Tool können Sie bei einem Supportanruf Informationen für einen Techniker sammeln. Sie können die von dem Tool erfassten Informationen auch speichern und in eine E-Mail-Nachricht einfügen.

Die Informationen werden auf mehreren Seiten dargestellt. Sie können mithilfe einer der folgenden Methoden zwischen den Seiten wechseln:

  • Klicken Sie auf die Registerkarten.
  • Klicken Sie auf die Schaltfläche Nächste Seite.
  • Drücken Sie die NACH-LINKS- oder die NACH-RECHTS-TASTE, wenn eine Registerkarte aktiviert ist.

Anmerkung Bei einigen Informationen, wie z. B. der Größe des Speichers auf einer Grafikkarte, kann es sich um ungefähre Angaben handeln.


Suchstrategie

Wenn Sie beim Ausführen von DirectX-Anwendungen Probleme feststellen, kann das DirectX-Diagnoseprogramm beim Suchen der Problemursache helfen. In der nachstehenden Liste finden Sie einige Tipps zur Suche:

  • Falsche Versionen von DirectX-Komponenten. Suchen Sie auf der Seite DirectX-Dateien im Abschnitt Anmerkungen nach Warnmeldungen über Beta- und Debugdateien. Bei Betadateien handelt es sich um frühe Testversionen, die nicht zusammen mit kommerziellen Anwendungen eingesetzt werden sollten. Debugversionen werden bei der Programmentwicklung verwendet und sollten gleichfalls nicht zusammen mit dem Endprodukt eingesetzt werden, da sie dazu führen können, dass Anwendungen wesentlich langsamer ausgeführt werden, als dies bei den im Handel erhältlichen Versionen der Komponenten der Fall ist.
  • Nicht zertifizierte Treiber. Suchen Sie auf der Seite DirectX-Treiber in der Liste nach Treibern, die nicht als zertifiziert gekennzeichnet sind. Möglicherweise werden auf den Seiten Anzeige, Sound und Eingabe im Abschnitt Anmerkungen weitere Probleme angezeigt. Nicht zertifizierte Treiber wurden von Microsoft nicht hinsichtlich der vollständigen Kompatibilität mit der neuesten Version von DirectX überprüft.
  • Keine Hardwarebeschleunigung. Einige Programme werden sehr langsam oder überhaupt nicht ausgeführt, wenn keine DirectDraw®- oder Direct3D®-Hardwarebeschleunigung zur Verfügung steht. Überprüfen Sie auf der Seite Anzeige unter DirectX-Funktionen, ob DirectDraw oder Direct3D mit "Keine Beschleunigung verfügbar" markiert ist. In diesem Fall sollten Sie eine Aufrüstung Ihrer Hardware erwägen.
  • Gerät nicht verbunden. Falls ein Joystick oder anderes Eingabegerät nicht reagiert, wurde es möglicherweise nicht ordnungsgemäß installiert. Überprüfen Sie, ob das Gerät im DirectX-Diagnoseprogramm auf der Seite Eingabe vorhanden ist. Fügen Sie das Gerät gegebenenfalls in der Systemsteuerung hinzu.


Testen von DirectX-Komponenten

Sie können DirectDraw und Direct3D auf jedem an Ihrem System angeschlossenen Monitor, DirectSound® auf jedem Wave-Ausgabegerät und DirectMusic® auf jedem Audioanschluss testen.

Klicken Sie auf die Schaltfläche zum Testen, lesen Sie alle angezeigten Meldungen, und beobachten Sie die jeweiligen Tests. Führen Sie jeden Test solange aus, bis eine Meldung angezeigt wird, in der Sie gefragt werden, ob der Test erfolgreich durchgeführt wurde. Wenn Sie mit Nein antworten, werden keine weiteren Tests mehr ausgeführt.

Bei DirectMusic gibt es lediglich einen einzigen Test. Klicken Sie einfach auf OK, wenn Sie den Test abbrechen möchten, unabhängig davon, ob die Musik einwandfrei wiedergegeben wurde oder nicht.

Darüber hinaus können Sie die DirectPlay-Funktionalität für jeden verfügbaren Dienstanbieter testen.

So testen Sie DirectPlay:

  1. Klicken Sie auf der Seite Netzwerk auf DirectPlay testen. Geben Sie im Dialogfeld DirectPlay testen einen Benutzernamen ein, und wählen Sie einen Dienstanbieter aus. Wählen Sie Neue Sitzung erstellen, und klicken Sie auf OK. Klicken Sie bei einer Modemverbindung im Dialogfeld Modemverbindung auf Antworten, um das Modem in den automatischen Antwortmodus zu schalten.
  2. Führen Sie das DirectX-Diagnoseprogramm jetzt auf einem anderen Computer aus, der die ausgewählte Verbindung zu dem ersten Computer herstellen kann. Klicken Sie auf DirectPlay testen, geben Sie einen anderen Benutzernamen ein, wählen Sie denselben Dienstanbieter, aktivieren Sie die Schaltfläche Bestehender Sitzung beitreten, und klicken Sie dann auf OK. Bei einigen Verbindungsarten werden Sie unter Umständen aufgefordert, weitere Informationen einzugeben, wie z. B. eine Telefonnummer. Bei einer TCP/IP-Verbindung in einem lokalen Netzwerk können Sie das Textfeld leer lassen.
  3. Auf dem zweiten Computer sollte nun in Sitzungsliste der Name der Sitzung, die auf dem ersten Computer erstellt wurde, angezeigt werden. Markieren Sie den Namen der Sitzung, und klicken Sie auf OK.
  4. Auf beiden Computern sollte jetzt ein Chatdialogfeld angezeigt werden. Geben Sie auf einem Computer eine Nachricht im Eingabefeld ein, und klicken Sie auf Senden. Die Nachricht sollte auf beiden Computern im Bildlaufbereich des Chatdialogfeldes angezeigt werden.


Ändern des Standardverhaltens

Sie können den Grad der Hardwarebeschleunigung auf der Seite Sound durch Verschieben des Reglers ändern. Dieser Beschleunigungsgrad bleibt nach dem Schließen des DirectX-Diagnoseprogramms wirksam.

Anmerkung Dieses Feature steht in Windows® 95 nicht zur Verfügung.

Auf der Seite Anzeige können Sie für jede in Ihrem System installierte Anzeige die Hardwarebeschleunigung für DirectDraw oder Direct3D deaktivieren, indem Sie auf die Schaltfläche Deaktivieren klicken (sofern eine solche Beschleunigung verfügbar ist). Nach dem Deaktivieren der Beschleunigung bleibt diese auch nach dem Schließen des DirectX-Diagnoseprogramms deaktiviert und steht für keine Anwendung zur Verfügung. Um die Beschleunigung wieder zu aktivieren, klicken Sie auf die Schaltfläche Aktivieren.

Anmerkung Durch das Deaktivieren der Beschleunigung für DirectDraw wird auch die Beschleunigung für Direct3D deaktiviert.

Darüber hinaus können Sie die Monitorwiederholfrequenz außer Kraft setzen, die von DirectDraw-Anwendungen im Vollbildmodus eingestellt wird. Dies sollte nur dann erfolgen, wenn bei bestimmten Anwendungen Probleme auftreten und davon auszugehen ist, dass von der Anwendung eine unzulässige Bildwiederholfrequenz eingestellt wird.

So ändern Sie die Bildwiederholfrequenz:

  1. Klicken Sie auf der Seite Weitere Hilfe auf die Schaltfläche Außer Kraft setzen.
  2. Aktivieren Sie im Dialogfeld DirectDraw-Aktualisierungsverhalten das Eingabefeld, und geben Sie eine zulässige Wiederholfrequenz für Ihren Monitor ein. In diesem Fall wird das Optionsfeld Wert für die Außerkraftsetzung automatisch aktiviert.
  3. Klicken Sie auf OK.

So widerrufen Sie die geänderte Bildwiederholfrequenz und lassen das Einstellen der Wiederholfrequenz durch DirectDraw-Anwendungen zu:

  1. Klicken Sie auf der Seite Weitere Hilfe auf die Schaltfläche Außer Kraft setzen.
  2. Aktivieren Sie im Dialogfeld DirectDraw-Aktualisierungsverhalten das Optionsfeld Standard.
  3. Klicken Sie auf OK.


Wiederherstellen von Treibern

Bei einigen Konfigurationen ermöglicht das DirectX®-Diagnoseprogramm das Wiederherstellen älterer Audio- und Videotreiber. Dies stellt unter Umständen die optimale Möglichkeit dar, Probleme mit nicht kompatiblen Treibern zu beheben.

Falls auf der Seite Weitere Hilfe die Schaltfläche Wiederherstellen angezeigt wird, klicken Sie auf diese Schaltfläche, um DirectX-Setup auszuführen.

DirectX-Setup verfügt über zwei Schaltflächen mit den Bezeichnungen Audiotreiber wiederherstellen und Anzeigetreiber wiederherstellen. Wenn Sie auf eine dieser beiden Schaltflächen klicken, werden die Treiber, die beim Installieren von DirectX auf Ihrem System ersetzt wurden, wiederhergestellt. Ist eine Schaltfläche deaktiviert, sind keine älteren Treiber vorhanden, die wiederhergestellt werden könnten. Wenden Sie sich in diesem Fall an den Hardwarehersteller, um die neuesten Treiber anzufordern.

DirectX-Setup enthält ferner ein Kontrollkästchen zum Deaktivieren der Direct3D-Hardwarebeschleunigung. Dies kann auch im Programm DxDiag erfolgen. (Siehe Ändern des Standardverhaltens.)


Speichern von Informationen

Sie haben zwei Möglichkeiten, die vom DirectX-Diagnoseprogramm gesammelten Informationen zu speichern:

  • Klicken Sie auf die Schaltfläche Alle Informationen speichern. Die Informationen aller Seiten werden in einer Datei gespeichert, deren Name und Verzeichnis Sie wählen können.

Wenn Sie Software entwickeln, können Sie bei der Entwicklerversion dieses Programms auch folgende Methode verwenden:

  • Klicken Sie auf der Seite Weitere Hilfe auf Bericht. Das Dialogfeld Fehlerbenachrichtigungsinformationen wird geöffnet. Klicken Sie nach Eingabe aller erforderlichen Daten auf Senden. In Ihrem temporären Verzeichnis (z. B. C:\Windows\Temp) wird eine Textdatei mit dem Namen Dxdiag.txt erstellt und in einem Editor-Fenster geöffnet. Diese Datei enthält dieselben Informationen wie bei der vorherigen Methode und darüber hinaus die eingegebenen persönlichen und zusätzlichen Informationen.


Melden von Problemen

Wenn Sie ein Problem feststellen, von dem Sie vermuten, dass es in Zusammenhang mit einer DirectX-Komponente oder einem DirectX-Treiber steht, können Sie sich an den Microsoft Software Service wenden (siehe Microsoft® Windows®-Hilfe unter "Problembehebung"). Wenn Sie Software entwickeln und die Entwicklerversion des Diagnoseprogramms besitzen, können Sie das Problem per E-Mail melden.

Anmerkung Die folgenden Anleitungen gelten lediglich für die Entwicklerversion dieses Programms. Diese Option steht nicht allen Benutzern zur Verfügung.

So melden Sie ein Problem per E-Mail:

  1. Klicken Sie auf der Seite Weitere Hilfe auf Bericht.
  2. Geben Sie alle relevanten Abschnitte des Dialogfeldes Fehlerbenachrichtigungsinformationen ein; klicken Sie dann auf Senden.
  3. Es wird eine Meldung mit dem vollständigen Pfad der erstellten Textdatei sowie der E-Mail-Adresse angezeigt. Notieren Sie sich die E-Mail-Adresse. Klicken Sie auf OK. Der Inhalt von Dxdiag.txt wird in einem Editor-Fenster angezeigt.
  4. Wählen Sie im Editor aus dem Menü Bearbeiten den Befehl Alles markieren und dann Kopieren, um den gesamten Dateiinhalt in die Zwischenablage zu kopieren.
  5. Erstellen Sie in Ihrem E-Mail-Programm eine neue Nachricht, und fügen Sie den Inhalt der Zwischenablage in den Nachrichtentext ein. Senden Sie die Nachricht an die in Schritt 3 notierte Adresse.


Thema nicht gefunden

Es wurde kein entsprechendes Thema gefunden. Im Folgenden werden mögliche Ursachen und Lösungsvorschläge aufgeführt:

  • Die Datei (CHM), die das Zielthema enthält, befindet sich nicht am erwarteten Speicherort.

    Lösung: Führen Sie MSDN Library Setup erneut aus.

  • Die Datei (CHM), die das aktuelle Thema oder das Zielthema enthält, ist veraltet, und die Verknüpfung ist nicht mehr gültig.

    Lösung: Installieren Sie die neueste Version von MSDN Library.

  • Die MSDN Library-CD befindet sich nicht im CD-ROM-Laufwerk.

    Lösung: Legen Sie die MSDN Library-CD in das CD-ROM-Laufwerk ein.

Erstellt am Donnerstag, den 29. Juli 1999